#!/usr/bin/perl
# ------------------------------------------------------------------------------
#   ident "@(#)nmen_jdk.pl 1.11 02/04/04 SMI"
# ------------------------------------------------------------------------------
#
#  Copyright 2001 Sun Microsystems, Inc. All rights reserved.
#
# ------------------------------------------------------------------------------
package main;

BEGIN {
	require "$ENV{NHINSTALL_LIB}/tools/lib/common.pl";
}


##################################################################################
#
#                               This is the main
#
##################################################################################

init_and_read_arg($0,
		  [ JDK_DIR, JDK_SUBDIR, JDK_PACKAGES, TARGET_OS, WORKING_DIR, NODE_ROLE ],
		  []);

if ($SOLARIS_INSTALL ne "YES") {
  print_log("\n");
  print_log("WARNING: Installation of JDK skipped\n");
  print_log("- Please check that required package ($JDK_PACKAGES) is installed on each diskless specific directories\n");
  print_log("\n");  exit(0);
}

# NMENs environment is set only on the first MEN
if ( $NODE_ID eq $MEN1_ID ) {
  print_stage_node("JDK installation for diskless") ;
  install_men_pkg($NODE_ID, $JDK_DIR, $JDK_SUBDIR, $JDK_PACKAGES, "SHARED_USR", "") ;
}

# That's all folk!
exit(0);
