#!/usr/bin/perl
# ------------------------------------------------------------------------------
#   ident "@(#)mount_nmen.pl 1.1 02/03/15 SMI"
# ------------------------------------------------------------------------------
#
#  Copyright 2001 Sun Microsystems, Inc. All rights reserved.
#
# ------------------------------------------------------------------------------
package main;

use FileHandle;

BEGIN {
	require "$ENV{NHINSTALL_LIB}/tools/lib/common.pl";
	require "$ENV{NHINSTALL_LIB}/tools/lib/conf.pl";
}

##################################################################################
#
#                               This is the main
#
##################################################################################

init_and_read_arg($0,
	 [NODE_ROLE], 
	 []) ;

if ($ENV{OPTIMIZED_INSTALL} eq "YES") {
  print_recovery_node("Re-mounting remote directories") ;
  # the recovery indicator is set to force the function to ignore error when mounting
  # because the mounting point may be busy
  $RECOVERY = "1";
  mount_nmen($NODE_ID);
}

exit(0)
