#!/usr/bin/perl
# ------------------------------------------------------------------------------
#   ident "@(#)men_jdk.pl 1.9 02/04/04 SMI"
# ------------------------------------------------------------------------------
#
#  Copyright 2001 Sun Microsystems, Inc. All rights reserved.
#
# ------------------------------------------------------------------------------
package main;

BEGIN {
	require "$ENV{NHINSTALL_LIB}/tools/lib/common.pl";

}

##################################################################################
#
#                               This is the main
#
##################################################################################
    
init_and_read_arg($0,
		  [ROOT_DIR, PACKAGE_SUBDIR, LOCAL_PACKAGES, NODE_ROLE, WORKING_DIR],
		  []) ;

if ($SOLARIS_INSTALL ne "YES") {
  my $hostname = build_node_name($NODE_ID);
  print_log("\n");
  print_log("WARNING: Installation of JDK skipped\n");
  print_log("- Please check that required package ($LOCAL_PACKAGES) is installed on $hostname\n");
  print_log("\n");
  exit(0) ;
}

print_stage_node("JDK installation") ;
install_men_pkg ($NODE_ID, $ROOT_DIR, $PACKAGE_SUBDIR, $LOCAL_PACKAGES, "LOCAL", "");

# That's all folk!
exit(0);







